varying highp vec2 v_texMask;
varying mediump vec2 v_texWater1;
varying mediump vec2 v_texWater2;

uniform sampler2D CC_Texture00;
uniform sampler2D CC_Texture01;

uniform vec3 CC_Tint;

void main()
{
	vec4 mask = texture2D(CC_Texture01, v_texMask);
	vec2 waterTexCoord1 = vec2(v_texWater1.x + CC_Time.a, v_texWater1.y + CC_Time.a);
	vec2 waterTexCoord2 = vec2(v_texWater2.x + CC_SinTime.g, v_texWater2.y + CC_SinTime.g);
	vec4 water1 = texture2D(CC_Texture00, waterTexCoord1);
	vec4 water2 = texture2D(CC_Texture00, waterTexCoord2);
	float percent = water2.a / (water1.a + water2.a);
	vec3 water = mix(water1.rgb, water2.rgb, percent);
	float waterA = (water1.a + water2.a) * 0.5;
	vec3 tinted = CC_Tint * water;
	gl_FragColor = vec4(tinted, waterA * mask.a);
}
